package model

import (
	"time"
)

type CommunityTeamStoreWithdrawApply struct {
	Id              int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid             int       `json:"uid" xorm:"not null default 0 comment('用户ID') index INT(10)"`
	Amount          string    `json:"amount" xorm:"not null default 0.00 comment('提现金额') DECIMAL(10,2)"`
	Memo            string    `json:"memo" xorm:"not null default '' comment('备注,失败请备注原因') VARCHAR(500)"`
	Type            int       `json:"type" xorm:"not null default 1 comment('提现类型；1：手动；2：自动') TINYINT(1)"`
	WithdrawAccount string    `json:"withdraw_account" xorm:"not null default '' comment('提现账号') VARCHAR(64)"`
	WithdrawName    string    `json:"withdraw_name" xorm:"not null default '' comment('提现人姓名') VARCHAR(12)"`
	Reason          int       `json:"reason" xorm:"not null default 0 comment('审核失败（驳回理由）；1：当前账号不满足提现规则；2：账号异常；3：资金异常') TINYINT(1)"`
	PaymentDate     string    `json:"payment_date" xorm:"not null default '0000-00-00 00:00:00' comment('到账时间') VARCHAR(50)"`
	CreateAt        time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('申请时间') index TIMESTAMP"`
	UpdateAt        time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('处理时间') TIMESTAMP"`
	State           int       `json:"state" xorm:"not null default 0 comment('0申请中,1通过,2完成,3失败') TINYINT(1)"`
	Platform        string    `json:"platform" xorm:"VARCHAR(255)"`
	ParentUid       int       `json:"parent_uid" xorm:"default 0 INT(11)"`
	StoreType       int       `json:"store_type" xorm:"default 0 INT(11)"`
	Oid             int64     `json:"oid" xorm:"BIGINT(20)"`
}
